package com.abernard.zest;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;
import org.eclipse.zest.core.viewers.GraphViewer;
import org.eclipse.zest.layouts.LayoutStyles;
import org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm;

import com.abernard.zest.model.Model;
import com.abernard.zest.viewer.EntityContentProvider;
import com.abernard.zest.viewer.EntityLabelProvider;

/**
 * Cette vue affiche un graphe construit a partir d'un modele base sur les 
 * noeuds du graphe (dans notre cas les villes).
 * 
 * @author A. Bernard
 */
public class EntityGraphView extends ViewPart {

	/**
	 * le graphe
	 */
	private GraphViewer viewer;

	@Override
	public void createPartControl(Composite parent) {
		viewer = new GraphViewer(parent, SWT.NONE);
		//Traitement du contenu
		viewer.setContentProvider(new EntityContentProvider());
		//Traitement de l'affichage
		viewer.setLabelProvider(new EntityLabelProvider());
		
		//Donnees d'entree du graphe
		//Comme pour les autres viewers JFace, la methode setInput doit etre 
		// appelee APRES la definition des ContentProvider et LabelProvider.
		viewer.setInput(Model.INSTANCE.getVilles());
		
		//Definition du layout
		viewer.setLayoutAlgorithm(new SpringLayoutAlgorithm(LayoutStyles.NO_LAYOUT_NODE_RESIZING));
		viewer.applyLayout();
		
	}

	@Override
	public void setFocus() {
		// 
	}
}
