package com.abernard.zest.model;

/**
 * Cette class represente une route, c'est-a-dire une branche du graphe.
 * 
 * @author A. Bernard
 *
 */
public class Route {
	
	/**
	 * la ville de depart de la route
	 */
	private Ville source;
	
	/**
	 * la ville d'arrivee de la route
	 */
	private Ville destination;
	
	/**
	 * la longueur de la route
	 */
	private int longueur;
	
	/**
	 * Constructeur
	 * @param s la ville de depart
	 * @param d la ville de destination
	 * @param l la longueur de la route
	 */
	public Route(Ville s, Ville d, int l) {
		this.source = s;
		this.destination = d;
		this.longueur = l;
	}
	
	/**
	 * Donne la ville de depart
	 * @return la ville de depart
	 */
	public Ville getSource() {
		return this.source;
	}
	
	/**
	 * Donne la ville d'arrivee
	 * @return la ville d'arrivee
	 */
	public Ville getDestination() {
		return this.destination;
	}
	
	/**
	 * Donne la longueur de la route
	 * @return la longueur de la route
	 */
	public int getLongueur() {
		return this.longueur;
	}

}
