package com.abernard.zest.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Cette classe represente une ville, c'est-a-dire une entite, ou un noeud, de 
 * notre graphe.
 * 
 * @author A. Bernard
 *
 */
public class Ville {
	
	/**
	 * nom de la ville
	 */
	private String nom;
	
	/**
	 * villes auxquelles est reliee cette ville
	 */
	private List<Ville> connexions;
	
	/**
	 * Constructeur
	 * @param n nom de la ville
	 */
	public Ville (String n) {
		this.nom = n;
		this.connexions = new ArrayList<Ville>();
	}
	
	/**
	 * Ajouter une ville reliee a cette ville
	 * @param v la ville a connecter
	 */
	public void addConnexion(Ville v) {
		if (!connexions.contains(v)) {
			connexions.add(v);
		}
	}
	
	/**
	 * Donne la liste des villes connectees a cette ville
	 * @return les villes connectees
	 */
	public List<Ville> getConnexions() {
		return this.connexions;
	}
	
	/**
	 * Donne le nom de cette ville
	 * @return le nom de cette ville
	 */
	public String getNom() {
		return this.nom;
	}

}
