package com.abernard.zest.viewer;

import java.util.List;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.zest.core.viewers.IGraphEntityContentProvider;

import com.abernard.zest.model.Ville;

/**
 * ContentProvider de notre graphe. Cette implementation prend en donnees 
 * d'entree la liste des villes.
 * 
 * @author A. Bernard
 */
public class EntityContentProvider implements IGraphEntityContentProvider {

	
	@SuppressWarnings("unchecked")
	@Override
	public Object[] getElements(Object input) {
		//Cette methode definit les elements d'entree du graphe.
		//Dans notre cas ce doit etre une liste de Villes.
		return ((List<Ville>)input).toArray();
	}

	@Override
	public void dispose() {
		// 
	}

	@Override
	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
		// 
	}

	@Override
	public Object[] getConnectedTo(Object entity) {
		//Pour chaque ville, on retourne la liste des villes connectees a la 
		// ville courante
		if (entity instanceof Ville) {
			return ((Ville)entity).getConnexions().toArray();
		} else {
			return null;
		}
	}
}
