package com.abernard.zest.viewer;

import org.eclipse.jface.viewers.LabelProvider;

import com.abernard.zest.model.Route;
import com.abernard.zest.model.Ville;

/**
 * LabelProvider du graphe. Determine le texte a afficher selon le type 
 * d'element.
 * 
 * @author A. Bernard
 */
public class EntityLabelProvider extends LabelProvider {

	@Override
	public String getText(Object element) {
		//On retourne la longueur de la route, ou le nom de la ville
		//On remarquera que le texte sur la route n'est jamais affiche : 
		// aucun element de type Route n'est traite.
		if (element instanceof Route) {
			return ((Route)element).getLongueur() + "km";
		} else if (element instanceof Ville) {
			return ((Ville)element).getNom();
		} else {
			return null;
		}
	}
	
}
