package com.abernard.zest.viewer;

import java.util.ArrayList;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.zest.core.viewers.IGraphContentProvider;

import com.abernard.zest.model.Route;

/**
 * ContentProvider de notre graphe. Cette implementation prend en donnees 
 * d'entree la liste des routes.
 * 
 * @author A. Bernard
 */
public class LinkContentProvider implements IGraphContentProvider {

	@Override
	public void dispose() {
		//
	}

	@Override
	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
		// 
	}

	@Override
	public Object getSource(Object rel) {
		//Donne pour chaque branche du graphe le noeud source de la branche
		if (rel instanceof Route) {
			return ((Route)rel).getSource();
		} else {
			return null;
		}
	}

	@Override
	public Object getDestination(Object rel) {
		//Donne pour chaque branche du graphe le noeud destination de la branche
		if (rel instanceof Route) {
			return ((Route)rel).getDestination();
		} else {
			return null;
		}
	}

	@SuppressWarnings("unchecked")
	@Override
	public Object[] getElements(Object input) {
		//Ici, les donnees d'entree du graphe sont les routes du modele, c'est-
		// a-dire les branches du graphe.
		return ((ArrayList<Route>)input).toArray();
	}

	

}
